FreeBSD : OpenTTD -- Denial of service (server) via slow read attack (1ac858b0-3fae-11e1-a127-0013d3ccd9df)

High Nessus Plugin ID 57585


The remote FreeBSD host is missing a security-related update.


The OpenTTD Team reports :

Using a slow read type attack it is possible to prevent anyone from joining a server with virtually no resources. Once downloading the map no other downloads of the map can start, so downloading really slowly will prevent others from joining. This can be further aggravated by the pause-on-join setting in which case the game is paused and the players cannot continue the game during such an attack. This attack requires that the user is not banned and passes the authorization to the server, although for many servers there is no server password and thus authorization is easy.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 57585

File Name: freebsd_pkg_1ac858b03fae11e1a1270013d3ccd9df.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2012/01/18

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:openttd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2012/01/16

Vulnerability Publication Date: 2012/01/06

Reference Information

CVE: CVE-2012-0049